MARTe2-core - User story #266

TimeValues
09.11.2015 17:39 - André Neto

Status: Closed Start date: 09.11.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement TimeValues as a class with utility methods to initialise and populate the time structure with (at least) the time from the
epoch.
Make sure that other classes that were using TimeValues are simplified accordingly.

Source code files modified
BareMetal/L1Portability/TimeStamp.*
h1. Architecture & design review

Date of the review: 09/11/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 13/11/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 13/11/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A
Associated revisions

Revision 110ea0f2 - 11.11.2015 17:13 - Giuseppe Ferro

#266 Implementation, Documentation, Linting and Testing of TimeStamp
done.

Revision 834402f5 - 16.11.2015 17:16 - Riccardo Vitelli
#255 Merged the new TimeStamp class from #266.

History

#1 - 09.11.2015 17:41 - André Neto

- Description updated

#2 - 11.11.2015 17:00 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#3 - 11.11.2015 17:13 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#4 - 11.11.2015 17:14 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

Code Implementation done: 110ea0f

#5 - 12.11.2015 15:32 - André Neto

- Assignee set to Riccardo Vitelli

#6 - 13.11.2015 17:14 - Riccardo Vitelli
- Status changed from Code: Rev to Closed

#7 - 13.11.2015 17:15 - Riccardo Vitelli
- Description updated

- Assignee deleted (Riccardo Vitelli)
